PortAudio 2.0

Data Fields
PaWinWDMKSInfo Struct Reference

## Data Fields
unsigned long | size
PaHostApiTypeId | hostApiType
unsigned long | version
unsigned long | flags
unsigned | noOfPackets
unsigned | channelMask

## Detailed Description

Definition at line 74 of file pa_win_wdmks.h.

## Field Documentation

## ◆ channelMask

unsigned PaWinWDMKSInfo::channelMask

If paWinWDMKSUseGivenChannelMask bit is set in flags, use this as channelMask instead of default.

See also
  PaWinWDMKSFlags

Version
  Available as of 19.5.0.

Definition at line 92 of file pa_win_wdmks.h.

## ◆ flags

unsigned long PaWinWDMKSInfo::flags

Flags indicate which fields are valid.

See also
  PaWinWDMKSFlags

Version
  Available as of 19.5.0.

Definition at line 83 of file pa_win_wdmks.h.

## ◆ hostApiType

PaHostApiTypeId PaWinWDMKSInfo::hostApiType

paWDMKS

Definition at line 76 of file pa_win_wdmks.h.

## ◆ noOfPackets

unsigned PaWinWDMKSInfo::noOfPackets

The number of packets to use for WaveCyclic devices, range is [2, 8]. Set to zero for default value of 2.

Definition at line 86 of file pa_win_wdmks.h.

## ◆ size

unsigned long PaWinWDMKSInfo::size

sizeof(PaWinWDMKSInfo)

Definition at line 75 of file pa_win_wdmks.h.

## ◆ version

unsigned long PaWinWDMKSInfo::version

1

Definition at line 77 of file pa_win_wdmks.h.

The documentation for this struct was generated from the following file:

- pa_win_wdmks.h